#ifndef _COMMON_H_
#define _COMMON_H_

void login(void);
void acp_login(void);
void logout(void);

char *get(char *);

void com_init(char *, int, char **);
void com_fini(void);

char *forum_url(char *);

char *get_sid(void);

char *sql_escape(char *);

int get_month(char *);
long make_date(char *, char *, char *, char *, char *);
char *translate_month(char *);

#define NP(x) do { \
  if (!(x)) { \
    printf("FATAL: null pointer %s:%d:%s\n", \
           __FILE__, __LINE__, __FUNCTION__); \
    exit(1); \
  } \
} while (0)
                                      
#endif /* _COMMON_H_ */
