<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" indent="yes" omit-xml-declaration = "yes"
  encoding="utf-8"/>

<xsl:template match="tr[contains(@class,'bg1') or contains(@class,'bg2')]">
  <user>
    <name>
      <xsl:value-of select="td[1]/a[1]"/>
    </name>
    <id>
      <xsl:value-of select="substring-after(
         td[1]/a[1]/@href,'u=')"/>
    </id>
    <joining-date>
      <day>
      <xsl:value-of select="substring-before(td[4], ' ')"/>
      </day>
      <month>
      <xsl:value-of select="substring-before(substring-after(td[4], ' '), ' ')"/>
      </month>
      <year>
      <xsl:value-of select="substring-before(substring-after(substring-after(td[4], ' '), ' '), ',')"/>
      </year>
      <hour>
      <xsl:value-of select="substring-before(substring-after(td[4], ', '), ':')"/>
      </hour>
      <minute>
      <xsl:value-of select="substring-after(td[4], ':')"/>
      </minute>
      <raw>
      <xsl:value-of select="td[4]"/>
      </raw>
    </joining-date>
  </user>
</xsl:template>

<xsl:template match="text()">
</xsl:template>

<xsl:template match="/">
  <users>
    <xsl:apply-templates/>
  </users>
</xsl:template>

</xsl:stylesheet>
